Page MenuHomePhabricator

Add documentation for PageAssessments extension on mw.org
Closed, ResolvedPublic2 Story Points

Description

Add documentation for the extension to MediaWiki.org

Explain how to install and configure the extension. Explain how to use the parser function (include the hint to embed it in existing assessment templates if they exist).

Event Timeline

Niharika created this task.Dec 7 2015, 2:07 PM
Niharika updated the task description. (Show Details)
Niharika raised the priority of this task from to Normal.
Niharika claimed this task.
Niharika added a project: Community-Tech.
Niharika added subscribers: DannyH, kaldari, Niharika, Aklapper.
kaldari updated the task description. (Show Details)Dec 18 2015, 7:07 PM
kaldari set Security to None.
DannyH edited a custom field.Dec 18 2015, 7:08 PM
Niharika renamed this task from Add documentation for article assessment on mw.org to Add documentation for PageAssessments extension on mw.org.Jan 10 2016, 5:35 PM
Niharika added a subscriber: StudiesWorld.

Almost there: https://www.mediawiki.org/wiki/Extension:PageAssessments
Need to add details about API. Anything else I'm missing?

@NiharikaKohli: The documentation should mention that if your wiki uses a standard template for article assessments you can embed the parser function within the template itself rather than the talk pages of each article.

@NiharikaKohli: Also the installation instructions need to mention adding wfLoadExtension( 'PageAssessments' ); to LocalSettings.php.

Done and done.

kaldari closed this task as Resolved.Jan 19 2016, 4:13 PM
DannyH moved this task from Ready for development to Archive on the Community-Tech board.